Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Browse files

Remove bundler

Seriously. Go away.
  • Loading branch information...
commit 1a2acbdf6fba94b81fb5ce1b5fd69396f794c20d 1 parent 296f268
Rein Henrichs authored
Showing with 4 additions and 57 deletions.
  1. +0 −14 Gemfile
  2. +0 −22 Gemfile.lock
  3. +4 −12 Rakefile
  4. +0 −9 spec/helper.rb
View
14 Gemfile
@@ -1,14 +0,0 @@
-source "http://rubygems.org"
-# Add dependencies required to use your gem here.
-# Example:
-# gem "activesupport", ">= 2.3.5"
-
-# Add dependencies to develop your gem here.
-# Include everything needed to run rake, tests, features, etc.
-group :development do
- gem "minitest", ">= 0"
- gem "yard", "~> 0.6.0"
- gem "bundler", "~> 1.0.0"
- gem "jeweler", "~> 1.5.2"
- gem "rcov", ">= 0"
-end
View
22 Gemfile.lock
@@ -1,22 +0,0 @@
-GEM
- remote: http://rubygems.org/
- specs:
- git (1.2.5)
- jeweler (1.5.2)
- bundler (~> 1.0.0)
- git (>= 1.2.5)
- rake
- minitest (2.0.2)
- rake (0.8.7)
- rcov (0.9.9)
- yard (0.6.4)
-
-PLATFORMS
- ruby
-
-DEPENDENCIES
- bundler (~> 1.0.0)
- jeweler (~> 1.5.2)
- minitest
- rcov
- yard (~> 0.6.0)
View
16 Rakefile
@@ -1,12 +1,4 @@
require 'rubygems'
-require 'bundler'
-begin
- Bundler.setup(:default, :development)
-rescue Bundler::BundlerError => e
- $stderr.puts e.message
- $stderr.puts "Run `bundle install` to install missing gems"
- exit e.status_code
-end
require 'rake'
require 'jeweler'
@@ -19,10 +11,10 @@ Jeweler::Tasks.new do |gem|
gem.description = %Q{TODO: longer description of your gem}
gem.email = "rein@phpfog.com"
gem.authors = ["Rein Henrichs"]
- # Include your dependencies below. Runtime dependencies are required when using your gem,
- # and development dependencies are only needed for development (ie running rake tasks, tests, etc)
- # gem.add_runtime_dependency 'jabber4r', '> 0.1'
- # gem.add_development_dependency 'rspec', '> 1.2.3'
+ gem.add_development_dependency "minitest", ">= 0"
+ gem.add_development_dependency "yard", "~> 0.6.0"
+ gem.add_development_dependency "jeweler", "~> 1.5.2"
+ gem.add_development_dependency "rcov", ">= 0"
end
Jeweler::RubygemsDotOrgTasks.new
View
9 spec/helper.rb
@@ -1,13 +1,4 @@
require 'rubygems'
-require 'bundler'
-begin
- Bundler.setup(:default, :development)
-rescue Bundler::BundlerError => e
- $stderr.puts e.message
- $stderr.puts "Run `bundle install` to install missing gems"
- exit e.status_code
-end
-
require 'minitest/autorun'
$LOAD_PATH.unshift(File.dirname(__FILE__))
Please sign in to comment.
Something went wrong with that request. Please try again.